epp_DomainContactType (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0705.domain.epp_DomainContactType class

### org.openrtk.idl.epp0705.domain

# Class epp_DomainContactType

- `java.lang.Object`
- - `org.openrtk.idl.epp0705.domain.epp_DomainContactType`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DomainContactType`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class defining constant instances of contact types for domains. Used in conjunction with the epp_DomainContact class to indicate the type of the domain contact: ADMIN, BILLING, TECH. Note that the registrant "contact" is not an epp_DomainContact. The registrant's contact id is associated with a domain directly as a String in such classes as epp_DomainCreateReq and epp_DomainUpdateChange. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0705/domain/epp_DomainContactType.java,v 1.1 2003/03/20 22:42:29 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/20 22:42:29 $

See Also:
  `epp_DomainContact`

  ## Field Summary
  `static epp_DomainContactType` | `ADMIN` Contact instance of epp_DomainContactType representing the ADMIN contact type.
  `static epp_DomainContactType` | `BILLING` Contact instance of epp_DomainContactType representing the BILLING contact type.
  `static epp_DomainContactType` | `TECH` Contact instance of epp_DomainContactType representing the TECH contact type.
  `static int` | `_ADMIN` Integer value representing the ADMIN contact type.
  `static int` | `_BILLING` Integer value representing the BILLING contact type.
  `static int` | `_TECH` Integer value representing the TECH contact type.

  ## Constructor Summary
  `epp_DomainContactType(int value)` For internal use only.

  ## Method Summary
  `static epp_DomainContactType` | `from_int(int value)` Transform an integer into a epp_DomainContactType constant.
  `String` | `toString()`
  `int` | `value()` Accessor method for the internal integer represent the type of contact.

## Field Details

### ADMIN

    public static final epp_DomainContactType ADMIN

> Contact instance of epp_DomainContactType representing the ADMIN contact type. Used directly with epp_DomainContact.
> See Also:
>   `epp_DomainContact`

### BILLING

    public static final epp_DomainContactType BILLING

> Contact instance of epp_DomainContactType representing the BILLING contact type. Used directly with epp_DomainContact.
> See Also:
>   `epp_DomainContact`

### TECH

    public static final epp_DomainContactType TECH

> Contact instance of epp_DomainContactType representing the TECH contact type. Used directly with epp_DomainContact.
> See Also:
>   `epp_DomainContact`

### _ADMIN

    public static final int _ADMIN

> Integer value representing the ADMIN contact type.
> Field Value:
>   0
> See Also:
>   `ADMIN`

### _BILLING

    public static final int _BILLING

> Integer value representing the BILLING contact type.
> Field Value:
>   1
> See Also:
>   `BILLING`

### _TECH

    public static final int _TECH

> Integer value representing the TECH contact type.
> Field Value:
>   2
> See Also:
>   `TECH`

## Constructor Details

### epp_DomainContactType

    protected epp_DomainContactType(int value)

> For internal use only. Initializes the internal contact type array.
> Parameters:
>   `value` - The integer value for the desired contact type

## Method Details

### from_int

    public static epp_DomainContactType from_int(int value)

> Transform an integer into a epp_DomainContactType constant. Given the integer representation of the contact type, returns one of the contact type constants.
> Parameters:
>   `value` - The integer value for the desired contact type

### toString

    public String toString()

### value

    public int value()

> Accessor method for the internal integer represent the type of contact. Would compared with _ADMIN, _BILLING, _TECH.
> Returns:
>   The integer value of this domain contact type

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS